> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Wallet

> API reference for fetching wallet by wallet ID

Retrieves detailed information about a specific wallet


## OpenAPI

````yaml GET /wallets/{wallet_id}
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /wallets/{wallet_id}:
    get:
      tags:
        - wallets
      summary: 'merchant: fetch by wallet_id'
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          example: ''
        - name: wallet_id
          in: path
          schema:
            type: string
          required: true
          example: 2ed51ca9-e1a4-42be-91c2-a611bd2d8eba
      responses:
        '200':
          description: OK
          headers:
            Content-Security-Policy:
              schema:
                type: string
                example: >-
                  default-src 'self';base-uri 'self';font-src 'self' https:
                  data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                  data:;object-src 'none';script-src 'self';script-src-attr
                  'none';style-src 'self' https:
                  'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                example: '?1'
            Referrer-Policy:
              schema:
                type: string
                example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                example: 'off'
            X-Download-Options:
              schema:
                type: string
                example: noopen
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                example: none
            X-XSS-Protection:
              schema:
                type: integer
                example: '0'
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            RateLimit-Policy:
              schema:
                type: string
                example: 60;w=60
            RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            RateLimit-Remaining:
              schema:
                type: integer
                example: '58'
            RateLimit-Reset:
              schema:
                type: integer
                example: '41'
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '805'
            ETag:
              schema:
                type: string
                example: W/"325-dP8+oX4NViocsTKKEVsiZLpZZDk"
            Date:
              schema:
                type: string
                example: Fri, 09 May 2025 17:48:13 GMT
            Connection:
              schema:
                type: string
                example: keep-alive
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
          content:
            application/json:
              schema:
                type: object
              example:
                status: success
                data:
                  id: 2ed51ca9-e1a4-42be-91c2-a611bd2d8eba
                  asset_type: STABLECOIN
                  currency: USDC
                  balance: '0.00000000'
                  description: my erc account
                  status: active
                  created_at: '2025-04-30T12:22:37.246Z'
                  updated_at: '2025-04-30T12:22:37.246Z'
                  customer_id: ddf723ee-5558-442d-b46f-4e3d42817448
                  addresses:
                    - id: fae5a5f4-cdd3-4dd1-9b62-e4a70faf8916
                      address: 0x67B42590C86F538d3a87253C6e64b32b7D35dhg5
                      network: erc20
                      created_at: '2025-04-30T12:22:37.307Z'
                    - id: 92e6ac2f-6d52-4f7c-b05e-766ffe97191f
                      address: TXvzrLA94eB1Bcp6ssadJukgnMA2Waw98R
                      network: trc20
                      created_at: '2025-05-01T10:27:16.525Z'
                    - id: 55f33b26-6147-4f4f-8a44-91be6826ac83
                      address: 0x67B42590C86F538d3a87253C6e64b32b7D35dhg5
                      network: erc20
                      created_at: '2025-05-01T10:29:56.789Z'

````